- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
WPSContentParsingState Struct Reference

the content state More...

## Public Member Functions
| WPSContentParsingState ()
| ~WPSContentParsingState ()

## Public Attributes
librevenge::RVNGString | m_textBuffer
int | m_numDeferredTabs
WPSFont | m_font
WPSParagraph | m_paragraph
shared_ptr< WPSList > | m_list
bool | m_isParagraphColumnBreak
bool | m_isParagraphPageBreak
bool | m_isPageSpanOpened
bool | m_isSectionOpened
bool | m_isFrameOpened
bool | m_isPageSpanBreakDeferred
bool | m_isHeaderFooterWithoutParagraph
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_firstParagraphInPageSpan
std::vector< unsigned int > | m_numRowsToSkip
bool | m_isTableOpened
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
bool | m_sectionAttributesChanged
int | m_numColumns
std::vector< WPSColumnDefinition > | m_textColumns
bool | m_isTextColumnWithoutParagraph
double | m_pageFormLength
double | m_pageFormWidth
bool | m_pageFormOrientationIsPortrait
double | m_pageMarginLeft
double | m_pageMarginRight
double | m_pageMarginTop
double | m_pageMarginBottom
std::vector< bool > | m_listOrderedLevels
bool | m_inSubDocument
| a stack used to know what is open More...
bool | m_isNote
libwps::SubDocumentType | m_subDocumentType

## Private Member Functions
| WPSContentParsingState (const WPSContentParsingState &)
WPSContentParsingState & | operator= (const WPSContentParsingState &)

## Detailed Description

the content state

## Constructor & Destructor Documentation

WPSContentParsingState::WPSContentParsingState | ( |  | ) |

WPSContentParsingState::~WPSContentParsingState | ( |  | ) |

WPSContentParsingState::WPSContentParsingState | ( | const WPSContentParsingState & |  | ) |
| private

## Member Function Documentation

WPSContentParsingState& WPSContentParsingState::operator= | ( | const WPSContentParsingState & |  | ) |
| private

## Member Data Documentation

unsigned WPSContentParsingState::m_currentPage

int WPSContentParsingState::m_currentPageNumber

bool WPSContentParsingState::m_firstParagraphInPageSpan

WPSFont WPSContentParsingState::m_font

Referenced by WPSContentParsingState().

bool WPSContentParsingState::m_inSubDocument

a stack used to know what is open

bool WPSContentParsingState::m_isFrameOpened

bool WPSContentParsingState::m_isHeaderFooterWithoutParagraph

bool WPSContentParsingState::m_isListElementOpened

bool WPSContentParsingState::m_isNote

bool WPSContentParsingState::m_isPageSpanBreakDeferred

bool WPSContentParsingState::m_isPageSpanOpened

bool WPSContentParsingState::m_isParagraphColumnBreak

bool WPSContentParsingState::m_isParagraphOpened

bool WPSContentParsingState::m_isParagraphPageBreak

bool WPSContentParsingState::m_isSectionOpened

bool WPSContentParsingState::m_isSpanOpened

bool WPSContentParsingState::m_isTableCellOpened

bool WPSContentParsingState::m_isTableColumnOpened

bool WPSContentParsingState::m_isTableOpened

bool WPSContentParsingState::m_isTableRowOpened

bool WPSContentParsingState::m_isTextColumnWithoutParagraph

shared_ptr<WPSList> WPSContentParsingState::m_list

std::vector<bool> WPSContentParsingState::m_listOrderedLevels

int WPSContentParsingState::m_numColumns

int WPSContentParsingState::m_numDeferredTabs

int WPSContentParsingState::m_numPagesRemainingInSpan

std::vector<unsigned int> WPSContentParsingState::m_numRowsToSkip

double WPSContentParsingState::m_pageFormLength

bool WPSContentParsingState::m_pageFormOrientationIsPortrait

double WPSContentParsingState::m_pageFormWidth

double WPSContentParsingState::m_pageMarginBottom

double WPSContentParsingState::m_pageMarginLeft

double WPSContentParsingState::m_pageMarginRight

double WPSContentParsingState::m_pageMarginTop

WPSParagraph WPSContentParsingState::m_paragraph

bool WPSContentParsingState::m_sectionAttributesChanged

libwps::SubDocumentType WPSContentParsingState::m_subDocumentType

librevenge::RVNGString WPSContentParsingState::m_textBuffer

std::vector< WPSColumnDefinition > WPSContentParsingState::m_textColumns

The documentation for this struct was generated from the following file:

- WPSContentListener.cpp